# Samsung Galaxy J7 Pro (samsung-j7y17lte)

This repository contains useful information about porting [pmOS](https://postmarketos.org) to and mainlining this device.

* Chipset: Samsung Exynos 7870 Octa
* GPU: Mali-T830 MP1

## Device documentation

[postmarketOS Device page](https://wiki.postmarketos.org/wiki/Samsung_Galaxy_J7_Pro_(samsung-j7y17lte))

[Device specifications](https://www.gsmarena.com/samsung_galaxy_j7_pro-8561.php)

## Downstream kernel

[Linux 3.18.140 Kernel Source (?)](https://gitlab.com/j7-pro-unofficial-development/linux-3.18.140-kernel-source)

or maybe:

[Exynos 7870 Common Kernel](https://gitlab.com/j7-pro-unofficial-development/exynos-7870-common-kernel)
* forked from [android_kernel_samsung_exynos7870](https://github.com/samsungexynos7870/android_kernel_samsung_exynos7870)

## Existing work

User **Buildingat90degreesC** is working on porting pmOS to this device and maybe mainlining it:
[Buildingat90degreesC'work on GitLab](https://gitlab.com/j7-pro-unofficial-development/)

[Device and kernel packages](https://gitlab.com/j7-pro-unofficial-development/j7-pro-postmarketos-device-packages)

### Samsung Galaxy J5 2017 (has same SoC and GPU)

[Samsung Galaxy J5 (2017) specs](https://www.gsmarena.com/samsung_galaxy_j5_(2017)-8705.php)

Unofficial /e/OS builds:
* [Build 1](https://community.e.foundation/t/e-os-on-samsung-galaxy-j5-2017/18305/123)
  * [kernel repo](https://github.com/jaubin/android_kernel_samsung_exynos7870)

* [Build 2](https://community.e.foundation/t/unofficial-build-q-a10-samsung-j5-2017-sm-j530f-j5y17lte/21504)
  * [related XDA thread](https://xdaforums.com/t/rom-unofficial-q-a10-sm-j530f-e-os-for-samsung-j5-2017-j5y17lte-bye-google-hello-privacy.4171027/)

### Samsung Galaxy J6 2018 (has same SoC and GPU)

[postmarketOS Device page](https://wiki.postmarketos.org/wiki/Samsung_Galaxy_J6_2018_(samsung-j6y18lte))
